CVC4::language::output Namespace Reference

## Enumerations

enum | Language { LANG_AUTO , LANG_SMTLIB_V1 , LANG_SMTLIB_V2 , LANG_TPTP , LANG_CVC4 , LANG_Z3STR , LANG_AST , LANG_CVC3 , LANG_MAX }

## Functions

std::ostream & | operator<< (std::ostream &out, Language lang)

## Enumeration Type Documentation

## Language

enum CVC4::language::output::Language

Enumerator
LANG_AUTO | Match the output language to the input language.
LANG_SMTLIB_V1 | The SMTLIB v1 output language.
LANG_SMTLIB_V2 | The SMTLIB v2 output language.
LANG_TPTP | The TPTP output language.
LANG_CVC4 | The CVC4 output language.
LANG_Z3STR | The Z3-str output language.
LANG_AST | The AST output language.
LANG_CVC3 | The CVC3-compatibility output language.
LANG_MAX | LANG_MAX is > any valid OutputLanguage id.

Definition at line 95 of file language.h.

## Function Documentation

## operator<<()

std::ostream & CVC4::language::output::operator<< | ( | std::ostream & | out,
|  | Language | lang )

inline

Definition at line 132 of file language.h.

References LANG_AST, LANG_CVC3, LANG_CVC4, LANG_SMTLIB_V1, LANG_SMTLIB_V2, LANG_TPTP, and LANG_Z3STR.